%define	major 2.4
%define	libname %mklibname wxgtk %{major}
%define libgl %mklibname wxgtkgl %{major}

Summary:	GTK+ port of the wxWindows library
Name:		wxGTK
Version:	2.4.2
Release:	%mkrel 13
License:	LGPL
Group:		System/Libraries
URL:		http://www.wxwindows.org
Source:		http://prdownloads.sourceforge.net/wxwindows/%{name}-%{version}.tar.bz2
Patch0:         wxGTK-locale_to_utf8.patch
Patch1:		wxGTK-2.4.2-gtk2.4.patch
Patch2:		wxGTK-2.4.2-gcc4.diff
Patch3:		wxGTK-2.4.2-old_pango_fix.diff
Patch4:		wxGTK-2.4.2-gcc4-freetype-fix.patch
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	bison, flex
BuildRequires:	libtiff-devel
BuildRequires:  libMesaGLU-devel
BuildRequires:	file
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
wxWindows is a free C++ library for cross-platform GUI development.
With wxWindows, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%package -n	%{libname}
Group:		System/Libraries
Summary: 	Base shared library part of wxGTK
Requires:	%{name} >= %{version}
Provides:	wxGTK%{major} = %{version}-%{release}

%description -n	%{libname}
wxWindows is a free C++ library for cross-platform GUI development.
With wxWindows, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libname}-devel
Summary:	Header files and development documentation for wxGTK
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libgl} = %{version}-%{release}
Provides:	wxGTK-devel = %{version}-%{release}
Provides:	wxGTK%{major}-devel = %{version}-%{release}
Provides:	libwxgtk-devel = %{version}-%{release}
Conflicts:	wxGTK6-devel wxGTK2.2-devel wxGTK2.3_1-devel wxGTK2.5-devel wxGTK2.6-devel libwxgtku-devel

%description -n	%{libname}-devel
Header files for wxGTK, the GTK+ port of the wxWindows library.

%package -n	%{libgl}
Summary:	GTK+ port of the wxWindows library, OpenGl add-on
Group:		System/Libraries
Provides:	wxGTK-gl = %{version}-%{release}
Provides:	wxGTK%{major}-gl = %{version}-%{release}

%description -n	%{libgl}
OpenGl add-on library for wxGTK, the GTK+ port of the wxWindows library.

%prep

%setup -q
%patch0
%patch1 -p1 -b .gtk2.4
%patch2 -p1 -b .gcc4
%patch3 -p0 -b .pango_x_get_context
%patch4 -p1 -b .gcc4

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
export LDFLAGS="-L%{_prefix}/X11R6/%{_lib} -L%{_libdir}"
export OPENGL_LIBS="-L%{_prefix}/X11R6/%{_lib} -lGL -lGLU"

%configure \
	--without-odbc \
  	--with-opengl \
	--with-gtk  \
	--without-debug_flag \
  	--without-debug_info \
  	--with-libpng=sys \
	--with-libjpeg=sys \
	--with-libtiff=sys \
	--with-zlib=sys \
	--enable-gtk2 \
	--enable-soname \
	--enable-optimise \
	--enable-calendar \
	--enable-wave \
	--enable-fraction \
	--enable-wxprintfv \
	--enable-xresources \
	--enable-controls \
	--enable-tabdialog 

%make
%make -C contrib/src/stc
%make -C contrib/src/xrc

# make these contrib apps too
#%make -C contrib/utils/wxrc
#%make -C contrib/utils/wxrcedit

%install 
rm -rf %buildroot

%makeinstall
%makeinstall -C contrib/src/stc
%makeinstall -C contrib/src/xrc

#%{find_lang} wxstd

#install -m0755 contrib/utils/wxrc/wxrc %{buildroot}%{_bindir}/
#install -m0755 contrib/utils/wxrcedit/wxrcedit %{buildroot}%{_bindir}/

rm -f %{buildroot}%{_bindir}/wx-config
mv %{buildroot}%{_bindir}/wxgtk2-2.4-config %{buildroot}%{_bindir}/wx-config

%if %mdkversion >= 1020
%multiarch_binaries %{buildroot}%{_bindir}/wx-config
%endif

%post   -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post   -n %{libgl} -p /sbin/ldconfig

%postun -n %{libgl} -p /sbin/ldconfig

%clean
rm -rf %buildroot

#%files -f wxstd.lang
%files
%defattr(-,root,root,-)
%doc COPYING.LIB *.txt
%_datadir/wx/*
%exclude %_datadir/locale/*/LC_MESSAGES/wxstd.mo

%files -n %{libname}
%defattr(-,root,root,-)
%_libdir/libwx_gtk2-2.4.so.*
%_libdir/libwx_gtk2_stc-2.4.so.*
%_libdir/libwx_gtk2_xrc-2.4.so.*

%files -n %{libname}-devel
%defattr(-,root,root,-)
%doc samples/*
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/wx-config
%endif
%{_bindir}/wx-config
#%{_bindir}/wxrc
#%{_bindir}/wxrcedit
%dir %{_includedir}/wx
%{_includedir}/wx/*
%dir %{_libdir}/wx
%{_libdir}/wx/include/gtk2-2.4/wx/setup.h
%{_libdir}/libwx_gtk2*.so
%_datadir/aclocal/*

%files -n %{libgl}
%defattr(-,root,root,-)
%doc README.txt
%{_libdir}/libwx_gtk2_gl*.so.*




%changelog
* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 2.4.2-13mdv2008.1
+ Revision: 140933
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 2.4.2-13mdv2007.0
+ Revision: 100492
- unpack patches
- Import wxGTK

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 2.4.2-13mdv2007.1
- Rebuild

* Sun Sep 17 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4.2-12mdv2007.0
- fix file conflict with wxGTK2.6 version (rapsys)

* Sun Sep 17 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4.2-11mdk
- rebuild (#25812)
- added a gcc4 patch (rapsys)

* Thu Oct 27 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4.2-10mdk
- neutralize pango_x_get_context (taken from 2.6.2) to make 
  new rapidsvn build

* Thu Oct 27 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4.2-9mdk
- fix deps

* Sun May 22 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4.2-8mdk
- fix deps
- the contrib stuff won't build anymore, disabled for now...

* Fri May 06 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4.2-7mdk
- added one gcc4 patch by redhat (P2)

* Mon Apr 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.4.2-6mdk
- %%multiarch work arounds...
- additional lib64 fixes

* Mon Apr 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.4.2-5mdk
- build and install some of the contrib apps
- strip away annoying ^M
- use the %%mkrel macro
- fix deps and conditional %%multiarch
- lib64 fixes
- misc spec file fixes

* Tue Jun 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-4mdk
- rebuild for new g++

* Sat Apr 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-3mdk
- fix compatibility with gtk+ 2.4

* Tue Apr 06 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4.2-2mdk
- rebuild

